OpenTTD Source: CYapfOriginTileTwoWayT< Types > Class Template Reference

OpenTTD Source 15.0-RC2

Public Types | Public Member Functions | Protected Member Functions
CYapfOriginTileTwoWayT< Types > Class Template Reference

YAPF origin provider base class - used when there are two tile/trackdir origins. More...

`#include <yapf_common.hpp>`

## Public Types
typedef Types::Tpf | Tpf
| the pathfinder class (derived from THIS class)
typedef Types::NodeList::Item | Node
| this will be our node type
typedef Node::Key | Key
| key to hash tables

## Public Member Functions
void | SetOrigin (TileIndex forward_tile, Trackdir forward_td, TileIndex reverse_tile=INVALID_TILE, Trackdir reverse_td=INVALID_TRACKDIR, int reverse_penalty=0)
| set origin (tiles, trackdirs, etc.)

## Protected Member Functions
Tpf & | Yapf ()
| to access inherited path finder

## Detailed Description

template<class Types>
class CYapfOriginTileTwoWayT< Types >

YAPF origin provider base class - used when there are two tile/trackdir origins.

Definition at line 48 of file yapf_common.hpp.

## Member Typedef Documentation

## ◆ Key

template<class Types >

typedef Node::Key CYapfOriginTileTwoWayT< Types >::Key

key to hash tables

Definition at line 52 of file yapf_common.hpp.

## ◆ Node

template<class Types >

typedef Types::NodeList::Item CYapfOriginTileTwoWayT< Types >::Node

this will be our node type

Definition at line 51 of file yapf_common.hpp.

## ◆ Tpf

template<class Types >

typedef Types::Tpf CYapfOriginTileTwoWayT< Types >::Tpf

the pathfinder class (derived from THIS class)

Definition at line 50 of file yapf_common.hpp.

## Member Function Documentation

## ◆ SetOrigin()

template<class Types >

void CYapfOriginTileTwoWayT< Types >::SetOrigin | ( | TileIndex | forward_tile,
|  | Trackdir | forward_td,
|  | TileIndex | reverse_tile = `INVALID_TILE`,
|  | Trackdir | reverse_td = `INVALID_TRACKDIR`,
|  | int | reverse_penalty = `0`
| ) |  |
| inline

set origin (tiles, trackdirs, etc.)

Definition at line 63 of file yapf_common.hpp.

References INVALID_TILE, INVALID_TRACKDIR, and CYapfOriginTileTwoWayT< Types >::Yapf().

## ◆ Yapf()

template<class Types >

Tpf & CYapfOriginTileTwoWayT< Types >::Yapf | ( |  | ) |
| inlineprotected

to access inherited path finder

Definition at line 56 of file yapf_common.hpp.

Referenced by CYapfOriginTileTwoWayT< Types >::SetOrigin().

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_common.hpp